# Add project specific ProGuard rules here.

# Keep gRPC classes
-keep class io.grpc.** { *; }
-keep class com.google.protobuf.** { *; }
-keep class com.durian.tssparty.grpc.** { *; }

# Keep tsslib (gomobile generated)
-keep class tsslib.** { *; }

# Keep Hilt generated classes
-keep class dagger.hilt.** { *; }
-keep class javax.inject.** { *; }

# Keep Room entities
-keep class com.durian.tssparty.data.local.** { *; }

# Gson
-keepattributes Signature
-keepattributes *Annotation*
-keep class com.durian.tssparty.domain.model.** { *; }
